Bug 1324496 (CVE-2016-3104) - CVE-2016-3104 mongodb: Unauthenticated remote DoS via memory exhaustion
Summary: CVE-2016-3104 mongodb: Unauthenticated remote DoS via memory exhaustion
Keywords:
Status: NEW
Alias: CVE-2016-3104
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1403610
Blocks: 1324500
TreeView+ depends on / blocked
 
Reported: 2016-04-06 13:27 UTC by Adam Mariš
Modified: 2019-09-29 13:46 UTC (History)
41 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Adam Mariš 2016-04-06 13:27:16 UTC
It was reported that it is possible for remote unauthenticated attackers to cause the host to kill mongoDB service due to memory exhaustion. This issue can be triggered by making multiple database creation requests. Even if authentication fails, the requested database is created in memory. Eventually, the host runs out of memory and kills Mongo service resulting in a denial of service. After service restart, all created databases are deleted.

The issue was identified in versions 2.4 and 2.6. The issue was found to be not reproducible on 3.0.11 and 3.2.4.

External references:
https://jira.mongodb.org/browse/SERVER-24378

Comment 1 Adam Mariš 2016-04-06 13:27:42 UTC
Acknowledgments:

Name: Simon Budail Essard, Philippe Jacquot

Comment 6 Huzaifa S. Sidhpurwala 2016-12-08 06:52:00 UTC
Public via:

https://jira.mongodb.org/browse/SERVER-24378

Comment 8 Huzaifa S. Sidhpurwala 2016-12-08 07:55:23 UTC
Note on exploitation on mongodb-2.6:

This issue does not affect all MongoDB 2.6 installations; it only
affects MongoDB 2.6 installations in circumstances where they first had a
MongoDB 2.4 installation with authentication enabled, upgraded to 2.6, and
did not complete a full upgrade (i.e., did not migrate the
authuser-schema). More details are provided in the above SERVER ticket.

https://jira.mongodb.org/browse/SERVER-24378


Note You need to log in before you can comment on or make changes to this bug.